NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.AeroStructures.Laminate Class Reference

Represents a NXOpen.CAE.AeroStructures.Laminate object. More...

Inheritance diagram for NXOpen.CAE.AeroStructures.Laminate:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink NXOpen.CAE.AeroStructures.LocalLaminate

Public Types

enum  LamRefLoc { Top, Middle, Bottom, Specify }
 Represents the laminate reference location More...
 

Public Member Functions

unsafe
NXOpen.CAE.AeroStructures.LocalLaminate 
CreateLocalLaminateByCopy ()
 Create an editable copy of the laminate More...
 
unsafe NXOpen.GeneralScalarTable GetABD ()
 The ABD matrix More...
 
unsafe double GetBendingShearModulus ()
 Bending Shear Modulus More...
 
unsafe NXOpen.GeneralScalarTable GetBendingYoungsModulus ()
 Bending Youngs Modulus More...
 
unsafe double GetBottomFiberDistance ()
 Fetch the bottom fiber distance More...
 
unsafe void GetInterlaminarShearStress (bool usePlyCoordinates, double[] opTemp, double[] nxx, double[] nyy, double[] nxy, double[] mxx, double[] myy, double[] mxy, double[] tsx, double[] tsy, out NXOpen.GeneralScalarTable stressYz, out NXOpen.GeneralScalarTable stressZx)
 Obtain interlaminar values per ply per LC (stress_yz, stress_zx) More...
 
unsafe double GetLaminateAngle ()
 Fetch the laminate angle in radians More...
 
unsafe void GetMaterialNames (out string[] materialNames)
 The list of material names More...
 
unsafe void GetMaterialPlyCount (int materialIndex, out int[] plies)
 Number of plies per orientation using given material (index) More...
 
unsafe void GetMaterialThickness (int materialIndex, out double[] thicknesses)
 Thickness of plies per orientation using given material (index) More...
 
unsafe NXOpen.GeneralScalarTable GetMid1 ()
 Mid1 More...
 
unsafe NXOpen.GeneralScalarTable GetMid2 ()
 Mid2 More...
 
unsafe NXOpen.GeneralScalarTable GetMid3 ()
 Mid3 More...
 
unsafe NXOpen.GeneralScalarTable GetMid4 ()
 Mid4 More...
 
unsafe void GetOrientations (out double[] orientations)
 The list of orientations used More...
 
unsafe double GetPlyAngle (int plyIndex)
 Ply angle More...
 
unsafe void GetPlyAngles (out double[] values)
 Ply angles More...
 
unsafe int GetPlyId (int plyIndex)
 Ply Id More...
 
unsafe void GetPlyIds (out int[] ids)
 Ply Ids More...
 
unsafe NXOpen.PhysicalMaterial GetPlyMaterial (int plyIndex)
 Ply material More...
 
unsafe string GetPlyMaterialName (int plyIndex)
 Ply material name More...
 
unsafe void GetPlyMaterialNames (out string[] names)
 Ply material names More...
 
unsafe void GetPlyMaterials (out NXOpen.PhysicalMaterial[] materials)
 Ply materials More...
 
unsafe double GetPlyThickness (int plyIndex)
 Ply thickness More...
 
unsafe void GetPlyThicknesses (out double[] values)
 Ply thicknesses More...
 
unsafe NXOpen.GeneralScalarTable GetPoissonsRatio ()
 Poissons Ratio More...
 
unsafe
NXOpen.CAE.AeroStructures.Laminate.LamRefLoc 
GetReferencePlane ()
 Top|Middle|Bottom|Specify More...
 
unsafe double GetReferenceTemperature ()
 Fetch the reference temperature More...
 
unsafe NXOpen.GeneralScalarTable GetShearModulus ()
 Shear Modulus More...
 
unsafe double GetSpecificHeat ()
 Specific Heat More...
 
unsafe NXOpen.GeneralScalarTable GetStiffnessA ()
 The A section of the ABD matrix More...
 
unsafe NXOpen.GeneralScalarTable GetStiffnessB ()
 The B section of the ABD matrix More...
 
unsafe NXOpen.GeneralScalarTable GetStiffnessD ()
 The D section of the ABD matrix More...
 
unsafe void GetStrainPerPly (bool usePlyCoordinates, double[] opTemp, double[] nxx, double[] nyy, double[] nxy, double[] mxx, double[] myy, double[] mxy, out NXOpen.GeneralScalarTable xxStrain, out NXOpen.GeneralScalarTable yyStrain, out NXOpen.GeneralScalarTable xyStrain)
 Obtain strain values per ply per LC More...
 
unsafe void GetStressPerPly (bool usePlyCoordinates, double[] opTemp, double[] nxx, double[] nyy, double[] nxy, double[] mxx, double[] myy, double[] mxy, out NXOpen.GeneralScalarTable xxStress, out NXOpen.GeneralScalarTable yyStress, out NXOpen.GeneralScalarTable xyStress)
 Obtain stress values per ply per LC More...
 
unsafe NXOpen.GeneralScalarTable GetThermalConductivityCoeff ()
 Thermal Conductivity Coefficient More...
 
unsafe NXOpen.GeneralScalarTable GetThermalExpansionCoeff ()
 Thermal Expansion Coefficient More...
 
unsafe NXOpen.GeneralScalarTable GetTransverseShear ()
 The transverse shear matrix More...
 
unsafe NXOpen.GeneralScalarTable GetYoungsModulus ()
 Youngs Modulus More...
 
unsafe bool IsInverted ()
 Ask if the ply signs are inverted More...
 
unsafe bool IsReversed ()
 Ask if the ply order is reversed More...
 
unsafe bool IsUsingPlyMaterial (int plyIndex)
 If this ply uses a ply material More...
 
unsafe void IsUsingPlyMaterials (out bool[] usingPlyMaterials)
 If plies use ply materials More...
 
unsafe void PrintLaminateInfo (bool plies, bool props, bool mats)
 Write out laminate information More...
 
unsafe string ToShorthandNotation ()
 Laminate shorthand notation More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Properties

unsafe bool IsBalanced [get]
 Returns the laminate is balanced More...
 
unsafe bool IsSymmetric [get]
 Returns the laminate is symmetric More...
 
unsafe double MassDensity [get]
 Returns the mass density More...
 
unsafe double MassPerUnitArea [get]
 Returns the mass per unit area More...
 
unsafe int NumMaterials [get]
 Returns the number of distinct materials used More...
 
unsafe int NumPlies [get]
 Returns the number of plies More...
 
unsafe string PhysPropName [get]
 Returns the name of the laminate physical property. More...
 
unsafe double TotalThickness [get]
 Returns the total thickness of the composite More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Detailed Description

Represents a NXOpen.CAE.AeroStructures.Laminate object.

No support for KF

Created in NX1847.0.0

Member Enumeration Documentation

Represents the laminate reference location

Enumerator
Top 
Middle 
Bottom 
Specify 

Member Function Documentation

unsafe NXOpen.CAE.AeroStructures.LocalLaminate NXOpen.CAE.AeroStructures.Laminate.CreateLocalLaminateByCopy ( )
inline

Create an editable copy of the laminate

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
override void NXOpen.CAE.AeroStructures.Laminate.FreeResource ( )
inlineprotectedvirtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX1847.0.0

License requirements: None.

Implements NXOpen.TransientObject.

Reimplemented in NXOpen.CAE.AeroStructures.LocalLaminate.

unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetABD ( )
inline

The ABD matrix

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetBendingShearModulus ( )
inline

Bending Shear Modulus

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetBendingYoungsModulus ( )
inline

Bending Youngs Modulus

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetBottomFiberDistance ( )
inline

Fetch the bottom fiber distance

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetInterlaminarShearStress ( bool  usePlyCoordinates,
double[]  opTemp,
double[]  nxx,
double[]  nyy,
double[]  nxy,
double[]  mxx,
double[]  myy,
double[]  mxy,
double[]  tsx,
double[]  tsy,
out NXOpen.GeneralScalarTable  stressYz,
out NXOpen.GeneralScalarTable  stressZx 
)
inline

Obtain interlaminar values per ply per LC (stress_yz, stress_zx)

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
usePlyCoordinatestrue for ply coordinates, false for laminate coordinates
opTempoperating temperature per loadcase
nxxone value per loadcase
nyy
nxy
mxxBending moment
myy
mxy
tsxTransverse shear force
tsy
stressYznum_load_cases rows and num_plies columns
stressZx
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetLaminateAngle ( )
inline

Fetch the laminate angle in radians

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetMaterialNames ( out string[]  materialNames)
inline

The list of material names

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialNames
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetMaterialPlyCount ( int  materialIndex,
out int[]  plies 
)
inline

Number of plies per orientation using given material (index)

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialIndex
plies
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetMaterialThickness ( int  materialIndex,
out double[]  thicknesses 
)
inline

Thickness of plies per orientation using given material (index)

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialIndex
thicknesses
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetMid1 ( )
inline

Mid1

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetMid2 ( )
inline

Mid2

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetMid3 ( )
inline

Mid3

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetMid4 ( )
inline

Mid4

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetOrientations ( out double[]  orientations)
inline

The list of orientations used

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
orientations
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetPlyAngle ( int  plyIndex)
inline

Ply angle

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetPlyAngles ( out double[]  values)
inline

Ply angles

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
values
unsafe int NXOpen.CAE.AeroStructures.Laminate.GetPlyId ( int  plyIndex)
inline

Ply Id

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetPlyIds ( out int[]  ids)
inline

Ply Ids

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
ids
unsafe NXOpen.PhysicalMaterial NXOpen.CAE.AeroStructures.Laminate.GetPlyMaterial ( int  plyIndex)
inline

Ply material

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
Returns
unsafe string NXOpen.CAE.AeroStructures.Laminate.GetPlyMaterialName ( int  plyIndex)
inline

Ply material name

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetPlyMaterialNames ( out string[]  names)
inline

Ply material names

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
names
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetPlyMaterials ( out NXOpen.PhysicalMaterial[]  materials)
inline

Ply materials

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materials
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetPlyThickness ( int  plyIndex)
inline

Ply thickness

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetPlyThicknesses ( out double[]  values)
inline

Ply thicknesses

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
values
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetPoissonsRatio ( )
inline

Poissons Ratio

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.CAE.AeroStructures.Laminate.LamRefLoc NXOpen.CAE.AeroStructures.Laminate.GetReferencePlane ( )
inline

Top|Middle|Bottom|Specify

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetReferenceTemperature ( )
inline

Fetch the reference temperature

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetShearModulus ( )
inline

Shear Modulus

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe double NXOpen.CAE.AeroStructures.Laminate.GetSpecificHeat ( )
inline

Specific Heat

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetStiffnessA ( )
inline

The A section of the ABD matrix

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetStiffnessB ( )
inline

The B section of the ABD matrix

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetStiffnessD ( )
inline

The D section of the ABD matrix

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetStrainPerPly ( bool  usePlyCoordinates,
double[]  opTemp,
double[]  nxx,
double[]  nyy,
double[]  nxy,
double[]  mxx,
double[]  myy,
double[]  mxy,
out NXOpen.GeneralScalarTable  xxStrain,
out NXOpen.GeneralScalarTable  yyStrain,
out NXOpen.GeneralScalarTable  xyStrain 
)
inline

Obtain strain values per ply per LC

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
usePlyCoordinatestrue for ply coordinates, false for laminate coordinates
opTempoperating temperature per loadcase
nxxone value per loadcase
nyy
nxy
mxxBending moment
myy
mxy
xxStrainnum_load_cases rows and num_plies columns
yyStrain
xyStrain
unsafe void NXOpen.CAE.AeroStructures.Laminate.GetStressPerPly ( bool  usePlyCoordinates,
double[]  opTemp,
double[]  nxx,
double[]  nyy,
double[]  nxy,
double[]  mxx,
double[]  myy,
double[]  mxy,
out NXOpen.GeneralScalarTable  xxStress,
out NXOpen.GeneralScalarTable  yyStress,
out NXOpen.GeneralScalarTable  xyStress 
)
inline

Obtain stress values per ply per LC

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
usePlyCoordinatestrue for ply coordinates, false for laminate coordinates
opTempoperating temperature per loadcase
nxxone value per loadcase
nyy
nxy
mxxBending moment
myy
mxy
xxStressnum_load_cases rows and num_plies columns
yyStress
xyStress
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetThermalConductivityCoeff ( )
inline

Thermal Conductivity Coefficient

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetThermalExpansionCoeff ( )
inline

Thermal Expansion Coefficient

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetTransverseShear ( )
inline

The transverse shear matrix

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe NXOpen.GeneralScalarTable NXOpen.CAE.AeroStructures.Laminate.GetYoungsModulus ( )
inline

Youngs Modulus

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe bool NXOpen.CAE.AeroStructures.Laminate.IsInverted ( )
inline

Ask if the ply signs are inverted

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe bool NXOpen.CAE.AeroStructures.Laminate.IsReversed ( )
inline

Ask if the ply order is reversed

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns
unsafe bool NXOpen.CAE.AeroStructures.Laminate.IsUsingPlyMaterial ( int  plyIndex)
inline

If this ply uses a ply material

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
Returns
unsafe void NXOpen.CAE.AeroStructures.Laminate.IsUsingPlyMaterials ( out bool[]  usingPlyMaterials)
inline

If plies use ply materials

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
usingPlyMaterials
unsafe void NXOpen.CAE.AeroStructures.Laminate.PrintLaminateInfo ( bool  plies,
bool  props,
bool  mats 
)
inline

Write out laminate information

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plies
props
mats
unsafe string NXOpen.CAE.AeroStructures.Laminate.ToShorthandNotation ( )
inline

Laminate shorthand notation

Created in NX1899.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Returns

Property Documentation

unsafe bool NXOpen.CAE.AeroStructures.Laminate.IsBalanced
get

Returns the laminate is balanced

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe bool NXOpen.CAE.AeroStructures.Laminate.IsSymmetric
get

Returns the laminate is symmetric

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe double NXOpen.CAE.AeroStructures.Laminate.MassDensity
get

Returns the mass density

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe double NXOpen.CAE.AeroStructures.Laminate.MassPerUnitArea
get

Returns the mass per unit area

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe int NXOpen.CAE.AeroStructures.Laminate.NumMaterials
get

Returns the number of distinct materials used

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe int NXOpen.CAE.AeroStructures.Laminate.NumPlies
get

Returns the number of plies

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe string NXOpen.CAE.AeroStructures.Laminate.PhysPropName
get

Returns the name of the laminate physical property.

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

unsafe double NXOpen.CAE.AeroStructures.Laminate.TotalThickness
get

Returns the total thickness of the composite

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.